<template>
    <form class="form" method="POST">
        <div
            v-if="error"
            class="alert alert-danger alert-dismissible fade show"
            role="alert"
        >
            {{ error }}
            <button
                type="button"
                class="close"
                data-dismiss="alert"
                aria-label="Close"
                @click="error = ''"
            >
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div
            v-if="success"
            class="alert alert-success alert-dismissible fade show"
            role="alert"
        >
            {{ success }}
            <button
                type="button"
                class="close"
                data-dismiss="alert"
                aria-label="Close"
                @click="success = ''"
            >
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="row clearfix">
            <div :class="user.email_verified_at ? 'col-md-12' :'col-lg-6 col-md-12'">
                <div class="form-group">
                    <input
                        disabled
                        type="email"
                        required
                        :value="user.email"
                        class="form-control"
                        :placeholder="fields.email"
                    />
                </div>
            </div>
            <div v-if="!user.email_verified_at" class="text-center col-lg-6 col-md-12">
                <button
                    id="resendPass"
                    class="btn btn-warning btn-round"
                    @click.prevent="resendEmail()"
                >
                    {{ fields.verify_email }}
                </button>
                <form id="resendVerificationEmail" action="/email/resend" method="POST" class="d-none">
                    <input type="hidden" name="_token" id="csrf-token" :value="token" />
                </form>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <input
                        type="password"
                        class="form-control"
                        v-model="update.oldpassword"
                        :placeholder="fields.oldpassword"
                    />
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <input
                        type="password"
                        class="form-control"
                        v-model="update.newpassword"
                        :placeholder="fields.newpassword"
                    />
                </div>
            </div>
        </div>

        <button
            @click.prevent="load"
            id="resetPass"
            class="btn btn-info btn-round"
        >
            {{ fields.button }}
        </button>
    </form>
</template>
<style>
.close {
    position: absolute;
    bottom: 0;
}
#resendPass{
    margin: 0px;
}
</style>
<script>
export default {
    props: ["users", "trans", "csrf"],
    mounted() {
        
    },
    data() {
        return {
            user: this.users,
            fields: this.trans.reset_pass,
            update: {
                email: this.users.email,
                oldpassword: "",
                newpassword: ""
            },

            error: "",
            success: "",
            token: this.csrf,
        };
    },
    methods: {
        load() {
            let url = "/api/users/edit/" + this.user.id;
            document
                .getElementById("resetPass")
                .setAttribute("disabled", "true");
            axios
                .put(url, this.update)
                .then(res => {
                    this.error = "";
                    this.success = res.data.message;
                    document
                        .getElementById("resetPass")
                        .removeAttribute("disabled");
                })
                .catch(err => {
                    this.success = "";
                    this.error = err.response.data.message;
                    document
                        .getElementById("resetPass")
                        .removeAttribute("disabled");
                });
        },
        resendEmail(){
            document.getElementById('resendVerificationEmail').submit();
        }
    }
};
</script>
